Update order status
Updates the order status to one of: placed, refunded, compensated, released, delivered, or cancelled. Creates a history entry tracking the status transition. Publishes an order updated event.
PATCH
/api/v1/{team_slug}/{app_slug}/orders/{order_id}/statusAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
order_idstringrequiredOrder ID (UUID)
Request body
requiredapplication/jsonStatus update data
statusstringrequiredAllowed:
placedrefundedcompensatedreleaseddeliveredcancelledResponses
200
Order status updated successfully
datainternal_pkg_webserver_v1.OrderResponserequiredShow propertiesHide properties
billing_addressinternal_pkg_webserver_v1.OrderAddressResponse | nullShow propertiesHide properties
Any of:
internal_pkg_webserver_v1.OrderAddressResponse
address_typestringcitystring | nullcountry_codestring | nullcreated_atstringemailstring | nullfamily_namestring | nullgiven_namestring | nullidstringpostal_codestring | nullstate_or_provincestring | nullstreet_addressstring | nullstreet_address_2string | nulltelephone_numberstring | nullupdated_atstring | nullnull
nullbonus_totalnumber | nullcountry_codestring | nullcreated_atstringcurrency_codestring | nulldiscount_totalnumber | nulldiscountsinternal_pkg_webserver_v1.OrderDiscountResponse[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.OrderDiscountResponsecreated_atstringdiscount_idstringidstringnamestringorder_idstringupdated_atstring | nullgift_card_totalnumber | nullgrand_totalnumber | nullidstringlanguage_codestring | nullmerchant_userinternal_pkg_webserver_v1.MerchantUserSummaryResponse | nullShow propertiesHide properties
Any of:
internal_pkg_webserver_v1.MerchantUserSummaryResponse
emailstringidstringnamestringsurnamestringnull
nullorder_linesinternal_pkg_webserver_v1.OrderLineResponse[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.OrderLineResponsebase_price_amountnumber | nullcreated_atstringcurrency_codestring | nullfirst_image_pathstringidstringorder_idstringproduct_idstring | nullproduct_namestringproduct_numberstringquantityinteger | nullshort_descriptionstringtax_group_idstring | nulltotal_discount_amountnumber | nulltotal_price_amountnumber | nulltotal_sale_pricenumber | nulltotal_tax_amountnumber | nullupdated_atstring | nullvariant_idstring | nullvariant_namestringvariant_numberstringorder_tracking_referencestring | nullpayment_methodstring | nullpayment_method_idstring | nullpayment_method_namestring | nullreferencestring | nullsession_idstring | nullshipping_addressinternal_pkg_webserver_v1.OrderAddressResponse | nullShow propertiesHide properties
Any of:
internal_pkg_webserver_v1.OrderAddressResponse
address_typestringcitystring | nullcountry_codestring | nullcreated_atstringemailstring | nullfamily_namestring | nullgiven_namestring | nullidstringpostal_codestring | nullstate_or_provincestring | nullstreet_addressstring | nullstreet_address_2string | nulltelephone_numberstring | nullupdated_atstring | nullnull
nullshipping_methodsstring[] | nullshipping_totalnumber | nullsourcestringsub_totalnumber | nulltax_totalnumber | nullupdated_atstring | nulluser_contentinternal_pkg_webserver_v1.OrderUserContent[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.OrderUserContentcontent_typestringfilenamestringidstringurlstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (validation error, invalid status)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
Order not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired